Arquivo da categoria ‘Programação’

[ANDROID] Instalar CYANOGENMOD 10 (JELLY BEAN) NO GALAXY NOTE

Instalar uma ROM customizada geralmente não é um processo exatamente simples: encontre uma ROM, coloque-a no cartão de memória, ligue o dispositivo em modo recovery etc. Isso pode ficar mais fácil, e ficou, tudo graças ao CyanogenMod.

Com o CyanogenMod Installer, já disponível no Google Play, você pode instalar a ROM customizada mais popular do mundo com um clique. Basta instalar o app no seu smartphone ou tablet, instalar este software para Windows, conectar seu dispositivo ao PC via USB e clicar em “Start”.

O app faz tudo sozinho: baixa a ROM estável mais recente, desbloqueia o bootloader (se necessário), e não requer root no aparelho. Você rodará uma versão baseada no Android 4.2 (CyanogenMod 10.1), e receberá updates à medida que a equipe atualiza o sistema.

Eles recomendam que, antes de tudo, você faça backup dos seus dados e carregue a bateria. Para voltar à ROM original, o processo é um pouco mais complicado: você precisará restaurar o backup manualmente.

Por enquanto, a lista de dispositivos compatíveis é relativamente curta: Samsung Galaxy S II, Galaxy S III, Galaxy S4, Galaxy Note, Galaxy Note II, Nexus S, Galaxy Nexus, Nexus 4, Nexus 7 (Wi-Fi/3G), Nexus 7 2013 (Wi-Fi), Nexus 10 e HTC One. No entanto, ela deve aumentar com o tempo.

Esta é uma das iniciativas da Cyanogen após receber investimentos de US$ 7 milhões: eles querem ter o terceiro OS móvel mais usado do mundo, superando Windows Phone e BlackBerry OS. (Kirk McMaster, CEO da empresa, diz que a base de usuários do CM já é igual ou maior do que o Windows Phone.) Para alcançar esse objetivo, a Cyanogen também fechou acordo com uma fabricante, para lançar um smartphone que roda sua ROM customizada direto da caixa.

Baixe o CyanogenMod Installer no link a seguir:

[Play Store via Droid Life via Manual do Usuário]

Anúncios

[ANDROID] Instalar CYANOGENMOD 10 (JELLY BEAN) NO GALAXY NOTE

O pessoal do CyanogenMod, que desenvolve as ROMs modificadas de Android com ajuda de uma grande comunidade de usuários, quer dar um passo adiante e deixar de ser apenas uma modificação do Android para se tornar um sistema operacional quase independente.

Quase independente, já que ele ainda vai ter como base o Android. Mas agora ele vai ser um sistema derivado do Android com objetivo de se tornar o terceiro mais usado em dispositivos móveis no planeta – superando Windows Phone e BlackBerry OS.

A empresa por trás do CyanogenMod recebeu investimentos de US$ 7 milhões para começar a sua nova aventura. Os recursos dos fundos Benchmark Capital e Redpoint Ventures, e os planos de crescimento foram detalhados em um post no assinado por Steve Kondik, um dos principais colaboradores da plataforma. Como nova empresa de software, o CyanongenMod quer recuperar uma ideia que o Android perdeu:

O Google dizimou completamente um setor inteiro da indústria ao lançar o Android em código aberto, e o CM se tornou algo como uma luta revolucionária alternativa contra os players nesta indústria que ainda se apoiam na ideia antiquada de tentar vender-lhe um novo telefone descartável a cada dois anos enquanto cobram um preço premium por coisas triviais. Nós sabemos que não são mais apenas telefones, são máquinas poderosas com capacidades imensas, e nós podemos fazer com que elas funcionem da forma que quisermos.

Uma das principais características do CyanogenMod é exatamente essa de superar as limitações de software impostas por fabricantes. Seu smartphone não recebeu a versão mais recente do Android? Não se preocupe: (mais…)

erro_AdobeFlex

Cliente é cliente, então não adianta chorar..

E dessa vez a dor de cabeça tem sido em cima da ferramenta Flex Builder da Adobe, cuja qual sinceramente acho que SOEMNET essa empresa usa..

E na necessidade de uma “pequena”alteração, e eis que ganho o seguinte erro quando tento realizar o modo de debug da ferramenta:

This is the message I receive when it breaks:

” Flex Builder cannot locate the required debugger version of Flash Player. You might need to install the debugger version of Flash Player 9 or reinstall Flex Builder. 

Do you want to try to debug with the current version? 
flex error rob mccardle
e  ai vem a dúvida…
o que fazer???? (mais…)

erro_vs2010

Depois da ideia de desinstalar TODO o meu Sql Server R2, devido a SAGA que passei com o report service…

Fiz aa desinstalação completa do Sql 2008 R2, e instalei o 2012.

Abri novamente o Visual Studio 2010 e me deparei com o erro:

“The ‘VSTS for Database Professionals Sql Server Data-tier Application’ package did not load correctly”

erro VSTS for Database

Atualizando o SQL ou instalar ferramentas de gerenciamento do SQL (e várias outras ações) pode quebrar o Visual Studio 2010 e causar esse erro.

Isso ocorre porque o SQL Express 2008 é parte da instalação do Visual Studio 2010 e  interferir com o esquema do SQL causa um erro.

Uma pesquisada, uma fuçada e a solução: (mais…)

erro_sqlserver

Você faz uma consulta e recebe o erro:

Msg 402, Level 16, State 1, Line 1
The data types text and varchar are incompatible in the equal to operator.

erro Ms402sql

E porque??

Você não pode usar colunas de texto em uma operação equivalente ( igual) em uma cláusula WHERE.

Se você estiver usando SQL Express ou SQL Server 2005, altere o tipo de coluna de texto para varchar (max) ou nvarchar (max)

Mas e se você não puder alterar a tabela???

Solução:

Se você precisa de uma solução rápida, você pode sempre fazer um CAST (campo AS nvarchar (max)) no SQL 2005.

Dependendo do tamanho do seu conteúdo, você poderia fazer um CAST (campo AS nvarchar (4000)) também.

Embora, mudar o tipo de coluna é a melhor solução a longo prazo.

erro_vs2010

Ai você precisa usar o Gacutil.exe e recebe a bendita da mensagem de erro:

Failure adding assembly to the cache: Access denied. You might not have administrative credentials to perform this task. Contact your system administrator for assistance.

E você resolve como???

FORMA 1 – Execute a ferramenta do CMD e clique com o botao direito em “Run as Administrator” e então o gacutil.exe funcionará bem.

FORMA 2 –

1. Start >> Run >> digite secpol.msc
2. Localize a opção “Local Policies” >> Clique em  “Security Options”
3. Clique com o botão direito em  “User Account Control: run all administrators in Admin Approval Mode” , e selecione “Properties”
4. Disabilite a opção
5. OK
6. Reinicie seu windows

hoerro_vs2010

Precisei eu usar o

Gacutil. exe (ferramenta de Cache de Assembly Global)

do Visual Studio 2010, ei que não acho..

E fuça, meche e nada…

E depois de muito procurar, seguem os diretórios:

Visual Studio 2005 C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin\

Visual Studio 2008 C:\Program Files\Microsoft SDKs\Windows\v6.0A\bin\

Visual Studio 2010 C:\Program Files\Microsoft SDKs\Windows\v7.0A\bin\

[Nota: Utilize a pasta “Program Files (x86)” para quando o Windows 64 bits]

erro_vs2010

E a continuação do SÉRIO problema descrito por aqui… se desenrola abaixo…

Após “ACREDITAR”que estava com os problemas resolvidos, vieram as novidades…

O projeto compilava sem erros, mas ao executar….

Começou com o erro:

Erro do Analisador
Descrição: Erro ao analisar um recurso necessário para atender esta solicitação. Examine os detalhes específicos do erro de análise e modifique o arquivo de origem apropriadamente.

reportviewer_erro08

No entanto esse ai foi simples, uma vez que foi somente corrigir alguns outros erros que apareciam na compilação ( sima gora apareciam) ….

Mas a continuação foi o erro abaixo ( DE NOVO): (mais…)

erro_vs2010

Já fazia tempo que não relatava um SÉRIO problema por aqui…

A vida em um novo cliente te leva a novos horizontes e também a novos problemas…

E agora não foi diferente, quando recebi a tarefa de “somente”atualizar alguns relatórios .rdlc em um projeto Web..

Ai você pensa, ok.. afinal foi feito na versão 2005 do Visual Studio e “basta”abri-los na versão mais nova ( seria o 2012, mas o cliente solicitou que fosse par o 2010) e também atualizar o Framework de 2.0  para 4.0.

Bemmm….SERIA….

Mas logo de cara ao executar o report viewer o erro apresentado era  abaixo, e eis o porque de uma atualização:

Error: The report definition is not valid. Details: The report definition has an invalid target namespace ‘http://schemas.microsoft.com/sqlserver/reporting/2008/01/reportdefinition’ which cannot be upgraded.

reportviewer_erro01

E você resolve como???

(mais…)

youtube missile command

Você talvez tenha notado que esta semana é a “Geek Week” no YouTube. Claro, isso significa vários vídeos legais (em inglês), mas também há algo ainda melhor: Missile Command!

É fácil: abra um vídeo do YouTube – qualquervídeo – e digite “1980″ fora da barra de pesquisa. Sério, é só digitar. E pronto: é hora de salvar o mundo de uma ameaça mortal, para grande justiça.

Mas, se você fracassar, o seu vídeo do YouTube vai parar, então concentre-se no jogo para salvar os vídeos. Comece agora mesmo a explodir os inimigos pixelados do céu digital: o mundo não vai se salvar sozinho.

[Valeu, Matt!]